Gnome network manager cannot find authentication binary

Bug #1725779 reported by Jason Straight on 2017-10-21
154
This bug affects 31 people
Affects Status Importance Assigned to Milestone
network-manager-pptp (Ubuntu)
Undecided
Till Kamppeter
network-manager-ssh (Ubuntu)
Undecided
Till Kamppeter
network-manager-vpnc (Ubuntu)
Undecided
Till Kamppeter

Bug Description

From logs:

Oct 21 13:54:03 V NetworkManager[5935]: <info> [1508608443.7424] audit: op="connection-activate" uuid="71868b90-3a57-4fee-9933-bf7c9b22d44d" name="Library" pid=2510 uid=1000 result="success"
Oct 21 13:54:03 V NetworkManager[5935]: <info> [1508608443.7473] vpn-connection[0x55e8f7b612f0,71868b90-3a57-4fee-9933-bf7c9b22d44d,"Library",0]: Started the VPN service, PID 6934
Oct 21 13:54:03 V NetworkManager[5935]: <info> [1508608443.7518] vpn-connection[0x55e8f7b612f0,71868b90-3a57-4fee-9933-bf7c9b22d44d,"Library",0]: Saw the service appear; activating connection
Oct 21 13:54:03 V gnome-shell[2510]: Invalid VPN service type (cannot find authentication binary)
Oct 21 13:54:03 V gnome-shell[2510]: Invalid VPN service type (cannot find authentication binary)
Oct 21 13:54:03 V NetworkManager[5935]: <error> [1508608443.7698] vpn-connection[0x55e8f7b612f0,71868b90-3a57-4fee-9933-bf7c9b22d44d,"Library",0]: Failed to request VPN secrets #3: No agents were available for t
his request.
Oct 21 13:54:03 V NetworkManager[5935]: <info> [1508608443.7708] vpn-connection[0x55e8f7b612f0,71868b90-3a57-4fee-9933-bf7c9b22d44d,"Library",0]: VPN plugin: state changed: stopped (6)

ProblemType: Bug
DistroRelease: Ubuntu 17.10
Package: network-manager-pptp-gnome 1.2.4-4
ProcVersionSignature: Ubuntu 4.13.0-16.19-generic 4.13.4
Uname: Linux 4.13.0-16-generic x86_64
NonfreeKernelModules: nvidia_uvm nvidia_drm nvidia_modeset nvidia
ApportVersion: 2.20.7-0ubuntu3
Architecture: amd64
CurrentDesktop: GNOME
Date: Sat Oct 21 14:07:06 2017
InstallationDate: Installed on 2017-10-20 (0 days ago)
InstallationMedia: Ubuntu 17.10 "Artful Aardvark" - Release amd64 (20171018)
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: network-manager-pptp
UpgradeStatus: No upgrade log present (probably fresh install)

FYI - anyone who needs their vpn to work right now, run nm-applet and launch from there instead.

Thanks Jason, I have the same problem on Ubuntu 17.10 as well. Launching VPN from nm-applet got my VPN connection working again.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in network-manager-pptp (Ubuntu):
status: New → Confirmed
Changed in network-manager-ssh (Ubuntu):
status: New → Confirmed
Alex R (rodial) wrote :

Ubuntu 18.04

Alex R (rodial) on 2018-05-03
no longer affects: network-manager-openvpn (Ubuntu)
Lilleman (lilleman) wrote :

I am on Ubuntu 18.04, fresh install using network-manager-openvpn

Andrei Dragan (lagged-6) wrote :

Same here on 18.04

:~# lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 18.04 LTS
Release: 18.04
Codename: bionic
:~# dpkg -l|egrep 'network(-)?manager|openconnect|openvpn|gnome-shell'
ii gnome-shell 3.28.1-0ubuntu2 amd64 graphical shell for the GNOME desktop
ii gnome-shell-common 3.28.1-0ubuntu2 all common files for the GNOME graphical shell
ii gnome-shell-extension-appindicator 18.04.1 all App indicators for GNOME Shell
ii gnome-shell-extension-ubuntu-dock 0.9.1 all Ubuntu Dock for GNOME Shell
ii libopenconnect5:amd64 7.08-3 amd64 open client for Cisco AnyConnect VPN - shared library
ii libproxy1-plugin-networkmanager:amd64 0.4.15-1 amd64 automatic proxy configuration management library (Network Manager plugin)
ii network-manager 1.10.6-2ubuntu1 amd64 network management framework (daemon and userspace tools)
ii network-manager-config-connectivity-ubuntu 1.10.6-2ubuntu1 all NetworkManager configuration to enable connectivity checking
ii network-manager-gnome 1.8.10-2ubuntu1 amd64 network management framework (GNOME frontend)
ii network-manager-openconnect 1.2.4-1 amd64 network management framework (OpenConnect plugin core)
ii network-manager-openconnect-gnome 1.2.4-1 amd64 network management framework (OpenConnect plugin GNOME GUI)
ii network-manager-openvpn 1.8.2-1 amd64 network management framework (OpenVPN plugin core)
ii network-manager-openvpn-gnome 1.8.2-1 amd64 network management framework (OpenVPN plugin GNOME GUI)
ii network-manager-pptp 1.2.6-1 amd64 network management framework (PPTP plugin core)
ii network-manager-pptp-gnome 1.2.6-1 amd64 network management framework (PPTP plugin GNOME GUI)
ii openconnect 7.08-3 amd64 open client for Cisco AnyConnect VPN
ii openvpn 2.4.4-2ubuntu1 amd64 virtual private network daemon
:~#

Jun 1 18:49:14 nn NetworkManager[1023]: <info> [1527868154.6931] vpn-connection[0x55aa60ba0520,33f5f8d3-f496-464b-bd25-70f8db84addf,"nnvpn",0]: Started the VPN service, PID 5561
Jun 1 18:49:14 nn NetworkManager[1023]: <info> [1527868154.7036] vpn-connection[0x55aa60ba0520,33f5f8d3-f496-464b-bd25-70f8db84addf,"nnvpn",0]: Saw the service appear; activating connection
Jun 1 18:49:14 nn gnome-shell[1733]: Invalid VPN service type (cannot find authentication binary)

lastpokemon (lastpokemon) wrote :

Same issue here 18.04 with latest updates

Jul 31 15:50:15 nash-laptop NetworkManager[857]: <info> [1533048615.0356] vpn-connection[0x55b3f2d287a0,0217bd2c-3791-4aed-8877-c3b2562aa5f2," - jbotto",0]: Started the VPN service, PID 19470
Jul 31 15:50:15 nash-laptop NetworkManager[857]: <info> [1533048615.0506] vpn-connection[0x55b3f2d287a0,0217bd2c-3791-4aed-8877-c3b2562aa5f2," - jbotto",0]: Saw the service appear; activating connection
Jul 31 15:50:15 nash-laptop gnome-shell[2389]: Invalid VPN service type (cannot find authentication binary)
Jul 31 15:50:15 nash-laptop gnome-shell[2389]: Invalid VPN service type (cannot find authentication binary)
Jul 31 15:50:15 nash-laptop NetworkManager[857]: <error> [1533048615.1203] vpn-connection[0x55b3f2d287a0,0217bd2c-3791-4aed-8877-c3b2562aa5f2," - jbotto",0]: Failed to request VPN secrets #3: No agents were available for this request.
Jul 31 15:50:15 nash-laptop NetworkManager[857]: <info> [1533048615.1263] vpn-connection[0x55b3f2d287a0,0217bd2c-3791-4aed-8877-c3b2562aa5f2," - jbotto",0]: VPN plugin: state changed: stopped (6)

Igor Shuvalov (i-s-shuvalov) wrote :

Same issue 18.04

Aug 15 11:50:15 RoninBook NetworkManager[1205]: <info> [1534323015.7958] audit: op="connection-activate" uuid="ea72df31-1b1f-4a98-8bd9-f2d9f109a13d" name="RTLabs" pid=4136 uid=1000 result="success"
Aug 15 11:50:15 RoninBook gnome-shell[1855]: JS ERROR: TypeError: item is undefined#012setActiveConnections/<@resource:///org/gnome/shell/ui/status/network.js:1518:17#012setActiveConnections@resource:///org/gnome/shell/ui/status/network.js:1515:9#012wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22#012_syncVpnConnections@resource:///org/gnome/shell/ui/status/network.js:1853:9#012wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
Aug 15 11:50:15 RoninBook NetworkManager[1205]: <info> [1534323015.8077] vpn-connection[0x55ef883d4540,ea72df31-1b1f-4a98-8bd9-f2d9f109a13d,"RTLabs",0]: Started the VPN service, PID 7106
Aug 15 11:50:15 RoninBook NetworkManager[1205]: <info> [1534323015.8220] vpn-connection[0x55ef883d4540,ea72df31-1b1f-4a98-8bd9-f2d9f109a13d,"RTLabs",0]: Saw the service appear; activating connection
Aug 15 11:50:15 RoninBook gnome-shell[4136]: Invalid VPN service type (cannot find authentication binary)
Aug 15 11:50:15 RoninBook gnome-shell[4136]: Invalid VPN service type (cannot find authentication binary)
Aug 15 11:50:15 RoninBook NetworkManager[1205]: <error> [1534323015.8559] vpn-connection[0x55ef883d4540,ea72df31-1b1f-4a98-8bd9-f2d9f109a13d,"RTLabs",0]: Failed to request VPN secrets #3: No agents were available for this request.
Aug 15 11:50:15 RoninBook NetworkManager[1205]: <info> [1534323015.8569] vpn-connection[0x55ef883d4540,ea72df31-1b1f-4a98-8bd9-f2d9f109a13d,"RTLabs",0]: VPN plugin: state changed: stopped (6)
Aug 15 11:50:15 RoninBook NetworkManager[1205]: <info> [1534323015.8575] vpn-connection[0x55ef883d4540,ea72df31-1b1f-4a98-8bd9-f2d9f109a13d,"RTLabs",0]: VPN service disappeared

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in network-manager-vpnc (Ubuntu):
status: New → Confirmed
Igor Shuvalov (i-s-shuvalov) wrote :

I'm not sure it's network-manager bug.
OpenVPN works fine, but vpnc is broken.
But in the same time it's working ok using nm-applet, so I think it's gnome bug

Colin Law (colin-law) wrote :

Does installing network-manager-pptp-gnome help?
I had the same issue using openvp and installing network-manager-openvpn-gnome fixed it (though I still don't get the padlock shown, but it does connect).

Colin Law (colin-law) wrote :

Has anyone tried this (or confirmed that they already have network-manager-pptp-gnome and network-manager-openvpn-gnome installed)? It has fixed it for me, I suspect that is an issue with the upgrader. A fresh install of 18.04 has it, but my upgraded system did not.
I do see, though, that one person with the problem has already got it installed so maybe there is more than one issue here.

geez (geez) wrote :

I'm *not* seeing this issue on a clean&updated install of 18.04, while I did on an old install (upgraded every 6 months from 13.04 to 17.10/18.04). Haven't tried without updating (why would you).

network-manager-pptp and network-manager-pptp-gnome *are* installed (aren't they by default?). Padlock is also shown, i.e. everything works as expected. I had a look at the files installed by those packages, but none of the filenames at least suggest anything to me that would affect openvpn.

Colin Law (colin-law) wrote :

@geez your first para is exactly what I have seen. No problem with clean install of 18.04, but there were problems with an system upgraded from 17.10. My comment about the upgraded system was ambiguous, it is on a system upgraded from 17.10 that I see the problem. My suggestion is that is the upgrader that takes the system from 17.10 to 18.04 that is the problem, in not installing those packages.

You have misread my comment on the packages to check. They are network-manager-pptp-gnome and network-manager-openvpn-gnome. On my system upgraded from 17.10 these were not installed (I don't know whether they were on 17.10).

When you say everything works as expected is that on the system upgraded from 17.10 which is showing this bug? In which case I don't understand.

geez (geez) wrote :

@Colin sorry for the confusion. Indeed I (also) have the following packages installed:
i network-manager-openvpn
i network-manager-openvpn-gnome
i network-manager-pptp
i network-manager-pptp-gnome
The system that works as expected is the clean 18.04, the old installation no longer exists.

Hence, your suggestion may be correct that the upgrade breaks things, although "Lilleman" above states that his is a clean install of 18.04.

Can other people affected by this bug perhaps check for the packages above?

Igor Shuvalov (i-s-shuvalov) wrote :

I have clean installed 18.04 and openvpn works well. But only problem with cisco vpn. It's not connection with Ubuntu panel. But it works with nm-applet

Igor Shuvalov (i-s-shuvalov) wrote :

network-manager-vpnc
network-manager-vpnc-gnome

Are installed

Igor Shuvalov (i-s-shuvalov) wrote :

It's very strange, but I've just execute apt update && apt upgrade, reboot. And now vpnc works fine!
My issue solved

Michael Mior (michaelmior) wrote :

I'm having this problem with a clean install. I have all the following installed:

i network-manager-openvpn
i network-manager-openvpn-gnome
i network-manager-pptp
i network-manager-pptp-gnome

Connecting via nm-applet works fine.

Wilfried Jonker (wjonker) wrote :

I can confirm this bug. When using the nm-applet there is nog problem.

Wilfried Jonker (wjonker) wrote :

I had a fresh Ubuntu 18.04 install and was effected by this bug. Running

sudo dpkg-reconfigure network-manager-pptp-gnome

Solved the problem.

Lee Burch (ltburch2000) wrote :

I tried

sudo dpkg-reconfigure network-manager-pptp-gnome

on my 18.04 instance with no success.

running openvpn directly off the command line however does work. I am thinking there is some issue with the network manager implementation, perhaps not directly but it certainly exhibits the error when used.

Sebastien Bacher (seb128) wrote :

> sudo dpkg-reconfigure network-manager-pptp-gnome
> on my 18.04 instance with no success.
> running openvpn directly off the command line however does work.

pptp and openvpn are different things.

Those having the issue, what Ubuntu version/desktop environment/connection type|plugin are you using?

Lee Burch (ltburch2000) wrote :

I found this to work with openvpn via the network manager:

I don't know if the message is directly telling you this (it doesn't seem to), but it turns out that for some reason the Network Settings doesn't save your password. Look in /etc/NetworkManager/system-connections/ for a file that matches the name you gave your vpn in the settings. In my case it was just called 'client'. Open it as root in an editor.

sudo emacs /etc/NetworkManager/system-connections/client
Then change this line in the [vpn] section:

password-flags=1
to

password-flags=0
Then add this section.

[vpn-secrets]
password="your-password"
Where "your-password" is your vpn password. The quotation marks around your password are required.

From:

https://necromuralist.github.io/posts/openvpn-on-ubuntu-1804/

EPx (elvis-pfutzenreuter) wrote :

Have the same problem when trying to use Fortinet VPN. The CLI (openfortivpn) works fine.

I can confirm this is still an issue with ubuntu 18.04. I have both the network-manager-openvpn and network-manager-openvpn-gnome. The DNS issues are still an issue on the client side. I know this isn't my openvpn server (running on pfsense) or config files as the same config files on Windows and MACOS work and connect with no issues. This needs to be fixed since, I, the IT guy use Ubuntu 18.04, lol.

Thanks,
Carlos

Changed in network-manager-pptp (Ubuntu):
assignee: nobody → Till Kamppeter (till-kamppeter)
Changed in network-manager-ssh (Ubuntu):
assignee: nobody → Till Kamppeter (till-kamppeter)
Changed in network-manager-vpnc (Ubuntu):
assignee: nobody → Till Kamppeter (till-kamppeter)

Should we perhaps make the GNOME network setup tool depend on

network-manager-openvpn-gnome
network-manager-vpnc-gnome
network-manager-pptp-gnome

This should at least solve this problems for some when updating.

Shawn Lin (ailionx) wrote :

Confirming that the bug still happens on 19.04. I'm using network-manager-vpnc-gnome which has this issue. However, nm-applet does work.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers